<?php
include_once('./_common.php');
include_once(G5_PATH.'/head.sub.php');

// 보내는 사람 정보 가져오기
$sql = "SELECT * FROM {$g5['member_table']} WHERE mb_id = 'alarm'";
$send_mb = sql_fetch($sql);

// 받는 사람 정보 가져오기
$recv_mb_id = isset($_POST['member_id']) ? $_POST['member_id'] : '';
$referer_url = isset($_POST['referer_url']) ? $_POST['referer_url'] : '';

if (empty($recv_mb_id) || empty($referer_url)) {
    echo "쪽지 전송에 실패했습니다.";
    exit;
}

$sql = "SELECT * FROM {$g5['member_table']} WHERE mb_id = '{$recv_mb_id}'";
$recv_mb = sql_fetch($sql);

// 받는 사람 정보가 유효한지 확인
if (empty($recv_mb)) {
    echo "받는 사람 정보를 찾을 수 없습니다.";
    exit;
}

// 새로운 쪽지 ID 생성
$sql = "SELECT MAX(me_id) AS new_me_id FROM {$g5['memo_table']}";
$row = sql_fetch($sql);
$me_id = $row['new_me_id'] + 1;

// 쪽지 내용 작성
$memo_content = "{$referer_url} 에서 태그 되었습니다. [/br] 새로운 소식을 확인해보세요!";

// 동일한 내용의 쪽지가 이미 전송되었는지 확인
$sql = "SELECT COUNT(*) AS count 
        FROM {$g5['memo_table']}
        WHERE me_recv_mb_id = '{$recv_mb['mb_id']}'
        AND me_memo = '{$memo_content}'";
$row = sql_fetch($sql);
if ($row['count'] > 0) {
    echo "동일한 내용의 쪽지가 이미 전송되었습니다.";
    exit;
}

// 쪽지 저장
$sql = "INSERT INTO {$g5['memo_table']}
        SET me_id = '{$me_id}',
            me_recv_mb_id = '{$recv_mb['mb_id']}',
            me_send_mb_id = '{$send_mb['mb_id']}',
            me_send_datetime = '".G5_TIME_YMDHIS."',
            me_memo = '{$memo_content}'";
sql_query($sql);

// 받는 사람의 새 쪽지 알림 표시
$sql = "UPDATE {$g5['member_table']}
        SET mb_memo_call = 'alarm'
        WHERE mb_id = '{$recv_mb['mb_id']}'";
sql_query($sql);

echo "쪽지가 전송되었습니다.";
?>